﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.XamarinForms.Chart;
using Xamarin.Forms;

namespace TelerikXamarin.Portable
{
    public class CustomPalettes
    {
        static CustomPalettes()
        {
            CreateCustomDarkPalette();
        }

        public static ChartPalette CustomDark { get; private set; }

        private static void CreateCustomDarkPalette()
        {
            ChartPalette palette = new ChartPalette();

            palette.Entries.Add(new PaletteEntry() { FillColor = Color.FromRgb(246, 0, 29), StrokeColor = Color.FromRgb(178, 0, 21) });
            palette.Entries.Add(new PaletteEntry() { FillColor = Color.FromRgb(255, 206, 0), StrokeColor = Color.FromRgb(186, 150, 0) });
            palette.Entries.Add(new PaletteEntry() { FillColor = Color.FromRgb(20, 216, 0), StrokeColor = Color.FromRgb(14, 152, 0) });

            CustomDark = palette;
        }
    }
}
